package com.caliverse.admin.domain.dao.admin;
import java.util.List;
import java.util.Map;
import java.util.Optional;

import com.caliverse.admin.domain.entity.Admin;
import com.caliverse.admin.domain.entity.STATUS;

public interface AdminMapper {
    Optional<Admin> findByEmail(String email);

    boolean existsByEmail(String email);

    String findPwdById(Long id);
    List<String> findPwdHistoryById(Long id);

    void save(Admin admin);

    void initPwd(String password,Long id, Long updateBy);
    void updatePwd(String password, Long updateBy, STATUS status);
    void saveHistoryPwd(String password,Long adminId);

    //운영자 리스트 조회
    List<Admin> getAdminList(Map<String, String> requestMap);

    //검색 데이터 count
    int getAllCnt(Map requestMap);
    //검색 데이터 count
    int getTotal();

    //로그인 승인/불가
    void updateStatus(Map map);
    //운영자 그룹 저장
    void updateGroup(Map map);
    // 운영자 선택 삭제
    void deleteAdmin(Map map);

    
}

